import { Message } from '../Channel';
export declare const hasFunctionName: boolean;
export declare function createDiff(actual: Object, expected: Object): string;
export declare function getShouldWait(waitMode: (string | boolean), message: Message): boolean;
export declare function normalizePath(path: string): string;
export declare function parseArgs(rawArgs: string[]): {
    [key: string]: any;
};
export declare function parseJSON(json: string): any;
export declare function parseValue(name: string, value: any, parser: TypeName): any;
export declare type TypeName = 'string' | 'boolean' | 'number' | 'regexp' | 'object' | 'string[]' | 'object|string';
export declare function pullFromArray<T>(haystack: T[], needle: T): T[];
export declare function retry<T>(callback: () => Promise<T>, numRetries: number): Promise<T>;
export declare function toJSON(object: Object): string;
